#include <stdlib.h>
#include <fcntl.h> 
#include <sys/types.h> 
#include <unistd.h> 
#include <stdio.h>
#include <machine/cpufunc.h>
#include <iostream>
#include <math.h>
#include <string>

#define ZERO_VAL 0x00
#define FF_VAL 0xFF 

using namespace std;

int main() 
{ 
    char val = ZERO_VAL; 
    int fd = open("/dev/io", O_RDWR);
    unsigned int x;
    string r;    
    bool pin15,pin13,pin12,pin11,pin10 = false;    
 

    if (fd==-1) { 
	printf("not open lpt\n"); 
	exit(-1);
    } 
    
    //else outb(0x378,val);

    x=inb(0x379);      // printf("%d\n", x);
    r="";
    for (int i = 0; i < sizeof(x) << 3; i++)
	r = ((x & (1 << i))? "1" : "0") + r;

    //cout << "r=" << r << endl;

    pin10 = (r[25]=='0');
    pin11 = (r[24]=='1');
    pin12 = (r[26]=='0');
    pin13 = (r[27]=='0');
    pin15 = (r[28]=='0');    

    if (pin10==true) cout <<"pin10 on"<<endl;    
    if (pin11==true) cout <<"pin11 on"<<endl;    
    if (pin12==true) cout <<"pin12 on"<<endl;
    if (pin13==true) cout <<"pin13 on"<<endl;
    if (pin15==true) cout <<"pin15 on"<<endl;    
   
   close(fd); 
   return 0; 
}
